<html lan xmlns="http://www.w3.org/1999/html">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <style>
            td.saida { color: #f00; }

        </style>
    </head>
    <body>
        <table cellpadding="0" cellspacing="0" border="10">
            <tr>
                <td style="text-align: center;" colspan="11">MOVIMENTO DE CAIXA E SALDO BANCÁRIO DO GECCAL</td>
            </tr>
            <tr>
<!--                <td colspan="11">Caixa</td>-->
                <td>Caixa</td>
            </tr>
            <tr>
                <td width="70%">Data</td>
                <td>Historico</td>
                <td>Mov. Dinheiro</td>
                <td>Mov. Cheque</td>
                <td>Cartão Débito</td>
                <td>Cartão Crédito</td>
                <td>Saldo Dinheiro</td>
                <td>Saldo Cheque</td>
                <td>Cartão Débito</td>
                <td>Cartão Crédito</td>
                <td>Saldo Total</td>
            </tr>
        <?php
        if(count($this->registroCaixa)){
            $arrayKeys = array_keys($this->registroCaixa);
            $slDinheiro = $this->registroCaixa[$arrayKeys[0]]['slDinheiro'];
            $slCheque = $this->registroCaixa[$arrayKeys[0]]['slCheque'];
            $slCredito = $this->registroCaixa[$arrayKeys[0]]['slCredito'];
            $slDebito = $this->registroCaixa[$arrayKeys[0]]['slDebito'];
            $slTotal = $slDinheiro + $slCheque + $slCredito + $slDebito;
            foreach($this->registroCaixa as $registro){
                $dinheiro = $this->RelatorioMovimentoCaixa()->getElemento('dinheiro', $registro, $slDinheiro);
                $cheque = $this->RelatorioMovimentoCaixa()->getElemento('cheque', $registro, $slCheque);
                $debito =  $this->RelatorioMovimentoCaixa()->getElemento('debito', $registro, $slCredito);
                $credito =  $this->RelatorioMovimentoCaixa()->getElemento('credito', $registro, $slDebito);
                $slTotal = $slDinheiro + $slCheque + $slCredito + $slDebito;

                $slDinheiroPrint = number_format($slDinheiro, 2, ',', '.');
                $slChequePrint = number_format($slCheque, 2, ',', '.');
                $slCreditoPrint = number_format($slCredito, 2, ',', '.');
                $slDebitoPrint = number_format($slDebito, 2, ',', '.');
                $slTotalPrint = number_format($slTotal, 2, ',', '.');
                echo "<tr>
                        <td>{$registro['dtRegistro']->format('d/m/Y')}</td>
                        <td>{$registro['noPessoa']}</td>";
                echo $dinheiro;
                echo $cheque;
                echo $debito;
                echo $credito;
                echo "
                        <td>R$ {$slDinheiroPrint}</td>
                        <td>R$ {$slChequePrint}</td>
                        <td>R$ {$slCreditoPrint}</td>
                        <td>R$ {$slDebitoPrint}</td>
                        <td>R$ {$slTotalPrint}</td>
                    </tr>";
            }
        }
        ?>
        </table>
        <table>
            <tr></tr>
            <tr></tr>
            <tr></tr>
        </table>
        &nbsp;&nbsp;
        &nbsp;&nbsp;
        <table cellpadding="0" cellspacing="0" border="10">
            <tr>
                <td><font color='blue'>TOTAL EM CAIXA</font></td>
                <td><font color='blue'>R$ <?php echo $slTotalPrint;?></font></td>
            </tr>
            <tr>
                <td>Dinheiro</td>
                <td>R$ <?php echo $slDinheiroPrint;?></td>
            </tr>
            <tr>
                <td>Cheque</td>
                <td>R$ <?php echo $slChequePrint;?></td>
            </tr>
            <tr>
                <td>Cartão Débito</td>
                <td>R$ <?php echo $slDebitoPrint;?></td>
            </tr>
            <tr>
                <td>Cartão Crédito</td>
                <td>R$ <?php echo $slDebitoPrint;?></td>
            </tr>
        </table>
    </body>
</html>